QGIS Application - Bug report #1107
Mapfile export - DATA parameter does not work for the case sensitive PostGIG table names
2008-05-23 02:37 PM - 5tr238 -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11167
Description

The DATA parameter is incorrectly written into the mapfile when [[PostGIS]] layer used. There are no double quotation used for the table
name and that is why the case sensitive table names in [[PostGIS]] database are not found.

DATA 'the_geom FROM public.CN_2007_orez'

should be like (schema and geometry column name can be case sensitive as well)

DATA "the_geom" FROM "public"."CN_2007_orez"

Associated revisions

Revision af9756e1 - 2008-12-13 03:43 PM - Jiirgen Fischer

use QgsDataSourceURI to parse postgres connection string in mapserver export (fixes #1107)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9783 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision cefa3e98 - 2008-12-13 03:43 PM - Jiirgen Fischer

use QgsDataSourceURI to parse postgres connection string in mapserver export (fixes #1107)

git-svn-id: http://svn.osgeo.org/qgis/trunk@9783 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-12-13 06:54 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

2024-04-30 12



http://svn.osgeo.org/qgis/trunk/qgis@9783
http://svn.osgeo.org/qgis/trunk@9783

2024-04-30 22



